package FreeBSD::Ports::DistilatorSingle;

use strict;
use warnings;

use FreeBSD::Ports::DistilatorCommon;
use File::Basename;

our (@ISA, @EXPORT_OK, @EXPORT);
BEGIN {
        require Exporter;
        @ISA = qw(Exporter);
        @EXPORT = qw(usage validate_single_port);
}

# flush after every write
$|=1;

sub usage {
        my($class)=@_;
        printf(<< "__ENOUSAGE__", basename($0), $class->{'VERSION'}, basename($0));
%s version %s
(unthreaded version)

Usage: %s [OPTION] PORT

Options
 -h, --help              this help
     --timeout NUM       link check timeout
 -v, --version           print version

__ENOUSAGE__
        return 0;
}

sub validate($$) {
	my($class,$job)=@_;
	my %res=('code' => undef, 'has_timed_out' => undef, 'link' => $job->{'link'}, 'type' => $job->{'type'});
	$res{'code'}=check_link($class,$job->{'link'});
	printResult(\%res);
}

sub validate_single_port($$) {
	my($class,$port)=@_;
	my $urls=get_urls($class,$port);
	while(my($link,$type)=each(%$urls)) {
		validate($class,{'link' => $link, 'type' => $type});
	}
}

1;
